Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595721 - [abrt] crash in qalculate-gtk-0.9.7-1.fc13: raise: Process /usr/bin/qalculate-gtk was killed by signal 6 (SIGABRT)
[abrt] crash in qalculate-gtk-0.9.7-1.fc13: raise: Process /usr/bin/qalculate...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qalculate-gtk (Show other bugs)
15
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:0d82b66076bf9a239a56acd593e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 09:10 EDT by Georg Wild
Modified: 2012-08-07 15:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:29:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.96 KB, text/plain)
2010-05-25 09:10 EDT, Georg Wild
no flags Details

  None (edit)
Description Georg Wild 2010-05-25 09:10:04 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: qalculate-gtk
component: qalculate-gtk
crash_function: raise
executable: /usr/bin/qalculate-gtk
global_uuid: 0d82b66076bf9a239a56acd593e561be5c7af6d7
kernel: 2.6.33.3-85.fc13.i686
package: qalculate-gtk-0.9.7-1.fc13
rating: 4
reason: Process /usr/bin/qalculate-gtk was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.Calculate: e^-1e10
Comment 1 Georg Wild 2010-05-25 09:10:06 EDT
Created attachment 416400 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 09:32:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Georg Wild 2011-06-02 10:48:59 EDT
This bug is still present in fc15 x86_64/Qalculate 0.9.7.


$ qalculate-gtk 
terminate called after throwing an instance of 'cln::runtime_exception'
  what():  Not a 32-bit integer: 14426950664
Aborted (core dumped)
Comment 4 Deji Akingunola 2011-06-02 11:08:16 EDT
I don't understand what you're trying to do with that calculation. Is that a typo, and you hoping qalculate-gtk doesn't crash on the typo?
Comment 5 Georg Wild 2011-06-02 11:25:56 EDT
Well, e^-1e10 is a correct expression!

e^-1e10=1/e^1e10 =1/10^(0.04*10^10)    = 0

So, qalculate should calculate 0 instead of crashing!
Comment 6 Fedora End Of Life 2012-08-07 15:29:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.